Home
last modified time | relevance | path

Searched full:echo (Results 1 – 25 of 196) sorted by relevance

12345678

/hal_espressif-3.5.0/
Dexport.bat1 @echo off
3 echo This .bat file is for Windows CMD.EXE shell only. When using MSYS, run:
4 echo . ./export.sh.
11 if %errorlevel% neq 0 set "MISSING_REQUIREMENTS= python &echo\"
25 echo Setting IDF_PATH: %IDF_PATH%
26 echo.
29 echo Adding ESP-IDF tools to PATH...
45 if not "%PATH_ADDITIONS%"=="" echo %PATH_ADDITIONS:;=&echo. %
53 echo Checking if Python packages are up to date...
57 echo.
[all …]
Dinstall.bat1 @echo off
3 echo This .bat file is for Windows CMD.EXE shell only. When using MSYS, run:
4 echo ./install.sh.
11 if %errorlevel% neq 0 set "MISSING_REQUIREMENTS= python &echo\"
24 echo Installing ESP-IDF tools
28 echo Setting up Python environment
32 echo All done! You can now run:
33 echo export.bat
37 echo.
38 echo Error^: The following tools are not installed in your environment.
[all …]
Dexport.fish5 echo "IDF_PATH must be set before sourcing this script"
11 echo "Detecting the Python interpreter"
14 echo "Adding ESP-IDF tools to PATH..."
21 echo "Checking if Python packages are up to date..."
39 echo "Added the following directories to PATH:"
41 echo $entry
44 echo "All paths are already set."
61 echo "Done! You can now compile ESP-IDF projects."
62 echo "Go to the project directory and run:"
63 echo ""
[all …]
Dexport.sh11 echo "$scriptdir"
17 echo "$@"
27 echo "This script should be sourced, not executed:"
29 echo ". ${BASH_SOURCE[0]}"
47 echo "Could not detect IDF_PATH. Please set it before sourcing this script:"
48 echo " export IDF_PATH=(add path here)"
64 echo "Setting IDF_PATH to '${IDF_PATH}'"
69 echo "IDF_PATH is set to '${IDF_PATH}', but it is not a valid directory."
70 echo "If you have set IDF_PATH manually, check if the path is correct."
76 echo "IDF_PATH is set to '${IDF_PATH}', but it doesn't look like an ESP-IDF directory."
[all …]
Dinstall.fish7 echo "Detecting the Python interpreter"
15 echo "Installing ESP-IDF tools"
19 echo "Installing Python environment and packages"
22 echo "All done! You can now run:"
23 echo ""
24 echo " . "$basedir"/export.fish"
25 echo ""
Dinstall.sh10 echo "Detecting the Python interpreter"
18 echo "Installing ESP-IDF tools"
21 echo "Installing Python environment and packages"
24 echo "All done! You can now run:"
25 echo ""
26 echo " . ${basedir}/export.sh"
27 echo ""
/hal_espressif-3.5.0/components/bootloader/
DMakefile.projbuild59 @echo $(SEPARATOR)
60 @echo "Bootloader built. Default flash command is:"
61 @echo "$(ESPTOOLPY_WRITE_FLASH) $(BOOTLOADER_OFFSET) $^"
78 @echo $(SEPARATOR)
79 @echo "Bootloader built. One-time flash command is:"
80 …@echo "$(subst hard_reset,no_reset,$(ESPTOOLPY_WRITE_FLASH)) $(BOOTLOADER_OFFSET) $(BOOTLOADER_BIN…
81 @echo $(SEPARATOR)
82 @echo "* IMPORTANT: After first boot, BOOTLOADER CANNOT BE RE-FLASHED on same device"
102 …@echo "No pre-generated key for a reflashable secure bootloader is available, due to signing confi…
103 @echo "To generate one, you can use this command:"
[all …]
/hal_espressif-3.5.0/tools/test_idf_size/
Dtest.sh6 && echo -e "\n***\nBuilding project for $1..." &>> $IDF_PATH/tools/test_idf_size/output \
9 && echo -e "\n***\nRunning mem_test.py for $1..." &>> $IDF_PATH/tools/test_idf_size/output \
17 echo -e "\n***\nProducing JSON output for $1..." &>> output \
30 && echo -e "\n***\nRunning idf_size.py..." &>> output \
32 && echo -e "\n***\nRunning idf_size.py on bootloader..." &>> output \
34 && echo -e "\n***\nRunning idf_size.py with overflow..." &>> output \
36 && echo -e "\n***\nRunning idf_size.py --archives..." &>> output \
38 && echo -e "\n***\nRunning idf_size.py --files..." &>> output \
40 && echo -e "\n***\nRunning idf_size.py --archive_details..." &>> output \
42 && echo -e "\n***\nRunning idf_size.py diff with bootloader..." &>> output \
[all …]
/hal_espressif-3.5.0/tools/kconfig/
Dmerge_config.sh30 echo "Usage: $0 [OPTIONS] [CONFIG [...]]"
31 echo " -h display this help text"
32 echo " -m only merge the fragments, do not execute the make command"
33 echo " -n use allnoconfig instead of alldefconfig"
34 echo " -r list redundant entries when merging fragments"
35 echo " -O dir to put generated output files. Consider setting \$KCONFIG_CONFIG instead."
66 OUTPUT=$(echo $2 | sed 's/\/*$//')
68 echo "output directory $2 does not exist" 1>&2
97 echo "The base file '$INITFILE' does not exist. Exit." >&2
105 echo "Using $INITFILE as base"
[all …]
DMakefile138 @echo ' config - Update current config utilising a line-oriented program'
139 @echo ' nconfig - Update current config utilising a ncurses menu based'
140 @echo ' program'
141 @echo ' menuconfig - Update current config utilising a menu based program'
142 @echo ' xconfig - Update current config utilising a Qt based front-end'
143 @echo ' gconfig - Update current config utilising a GTK+ based front-end'
144 @echo ' oldconfig - Update current config utilising a provided .config as base'
145 @echo ' localmodconfig - Update current config disabling modules not loaded'
146 @echo ' localyesconfig - Update current config converting local mods to core'
147 @echo ' silentoldconfig - Same as oldconfig, but quietly, additionally update deps'
[all …]
/hal_espressif-3.5.0/tools/kconfig/lxdialog/
Dcheck-lxdialog.sh5echo "The old menuconfig is expected to be built only in MSYS2. Please report this issue if you en…
14 echo -n "-lncurses "
18 echo -n "-L/usr/local/lib -lintl "
24 echo "-l${lib}"
39 echo '-I/usr/include/ncursesw -DCURSES_LOC="<curses.h>"'
40 echo ' -DNCURSES_WIDECHAR=1'
42 echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"'
44 echo '-I/usr/include/ncurses -DCURSES_LOC="<curses.h>"'
46 echo '-DCURSES_LOC="<ncurses.h>"'
48 echo '-DCURSES_LOC="<curses.h>"'
[all …]
/hal_espressif-3.5.0/components/bootloader/subproject/
DCMakeLists.txt118 COMMAND ${CMAKE_COMMAND} -E echo "DIGEST ${bootloader_digest_bin}"
147 … COMMAND ${CMAKE_COMMAND} -E echo "Generated signed binary image ${build_dir}/${PROJECT_BIN}"
165 COMMAND ${CMAKE_COMMAND} -E echo
167 COMMAND ${CMAKE_COMMAND} -E echo
169 COMMAND ${CMAKE_COMMAND} -E echo
171 COMMAND ${CMAKE_COMMAND} -E echo
173 COMMAND ${CMAKE_COMMAND} -E echo
178 COMMAND ${CMAKE_COMMAND} -E echo
180 COMMAND ${CMAKE_COMMAND} -E echo
182 COMMAND ${CMAKE_COMMAND} -E echo
[all …]
/hal_espressif-3.5.0/tools/ci/
Dtest_build_system.sh41 [ -z ${IDF_PATH} ] && echo "IDF_PATH is not set. Need path to esp-idf installation." && exit 2
47 git checkout ${CI_BUILD_REF_NAME} || echo "Using esp-idf-template default branch..."
203 echo "#error This file should not compile" > main/excluded_file.c
204 echo "int required_global;" > main/included_file.c
205 echo "COMPONENT_OBJEXCLUDE := excluded_file.o" >> main/component.mk
206 echo "COMPONENT_OBJINCLUDE := included_file.o" >> main/component.mk
207 echo "COMPONENT_ADD_LDFLAGS := -l\$(COMPONENT_NAME) -u required_global" >> main/component.mk
214 echo "#error This file should not compile" > extra_source_dir/excluded_file.c
215 echo "int required_global;" > extra_source_dir/included_file.c
216 echo "COMPONENT_SRCDIRS := . ../extra_source_dir" >> main/component.mk
[all …]
Dtest_build_system_cmake.sh46 [ -z ${IDF_PATH} ] && echo "IDF_PATH is not set. Need path to esp-idf installation." && exit 2
52 git checkout ${CI_BUILD_REF_NAME} || echo "Using esp-idf-template default branch..."
107 echo "IDF_VER_0123456789_0123456789_0123456789" > ${IDF_PATH}/version.txt
108 echo "project-version-1.0" > ${TESTDIR}/template/version.txt
112 echo "project-version-2.0(012345678901234567890123456789)" > ${TESTDIR}/template/version.txt
134 echo "project_version_from_txt" > ${TESTDIR}/template/version.txt
135 echo "CONFIG_APP_PROJECT_VER_FROM_CONFIG=y" >> sdkconfig.defaults
136 echo 'CONFIG_APP_PROJECT_VER="project_version_from_Kconfig"' >> sdkconfig.defaults
147 (echo -e "if (NOT IDF_VERSION_MAJOR)\n message(FATAL_ERROR \"IDF version not set\")\n endif()" \
208 echo "/* (Build test comment) */" >> ${IDF_PATH}/components/esp_rom/esp32/ld/esp32.rom.ld
[all …]
Dcheck_idf_version.sh6 echo "Checking if IDF version in esp_idf_version.h matches 'git describe' output"
39 echo "Could not determine the version from 'git describe' output: ${git_desc}"
44 echo "From esp_idf_version.h: ${version_from_header}"
45 echo "From version.mk: ${version_from_make}"
46 echo "From version.cmake: ${version_from_cmake}"
47 echo "From git describe: ${version_from_git}"
50 echo "esp_idf_version.h does not match 'git describe' output"
55 echo "version.mk does not match 'git describe' output"
60 echo "version.cmake does not match 'git describe' output"
Dmultirun_with_pyenv.sh15 { source /opt/pyenv/activate; } || { echo 'Pyenv activation has failed!' ; exit 1; }
23 echo 'No value (Python version) is given for argument -p!'
31 echo 'No executable was passed to the runner!'
37 echo 'Switching to Python' $ver
39 echo 'Running' $@
41 echo 'Run failed! Switching back to the system version of the Python interpreter.';
47 echo 'Switching back to the system version of Python'
48 { pyenv global system; } || { echo 'Restoring the system version of the Python interpreter has fail…
Dbuild_template_app.sh18 echo "CONFIG_COMPILER_OPTIMIZATION_NONE=y" > esp-idf-template/sdkconfig.ci.O0
19 echo "CONFIG_BOOTLOADER_COMPILER_OPTIMIZATION_NONE=y" >> esp-idf-template/sdkconfig.ci.O0
21 echo "CONFIG_PARTITION_TABLE_OFFSET=0x10000" >> esp-idf-template/sdkconfig.ci.O0
24 echo "CONFIG_COMPILER_OPTIMIZATION_SIZE=y" > esp-idf-template/sdkconfig.ci.Os
25 echo "CONFIG_BOOTLOADER_COMPILER_OPTIMIZATION_SIZE=y" >> esp-idf-template/sdkconfig.ci.Os
28 echo "CONFIG_COMPILER_OPTIMIZATION_PERF=y" > esp-idf-template/sdkconfig.ci.O2
29 echo "CONFIG_BOOTLOADER_COMPILER_OPTIMIZATION_PERF=y" >> esp-idf-template/sdkconfig.ci.O2
33 echo "CONFIG_COMPILER_OPTIMIZATION_DEFAULT=y" > esp-idf-template/sdkconfig.ci2.Og
34 echo "CONFIG_BOOTLOADER_COMPILER_OPTIMIZATION_DEBUG=y" >> esp-idf-template/sdkconfig.ci2.Og
39echo "CONFIG_COMPILER_OPTIMIZATION_ASSERTIONS_DISABLE=y" >> esp-idf-template/sdkconfig.ci3.no_asse…
[all …]
/hal_espressif-3.5.0/tools/unit-test-app/
DMakefile42 echo "" >> sdkconfig
64 echo CONFIG $(BUILDS_DIR)/$*/sdkconfig
67echo "" >> $(BUILDS_DIR)/$*/sdkconfig.defaults # in case there is no trailing newline in sdkconfig…
69 echo "" >> $(BUILDS_DIR)/$*/sdkconfig.defaults
73 echo BUILD_CONFIG $(BUILDS_DIR)/$*
79 tests_all=`test -n "$${test_components}"; echo $${?}`; \
104 @echo "Additional unit-test-app specific targets:"
105 @echo ""
106 @echo "make ut-build-NAME - Build unit-test-app with configuration provided in configs/NAME."
107 @echo " Build directory will be builds/NAME/, output binaries will be"
[all …]
/hal_espressif-3.5.0/examples/system/ota/otatool/
Dotatool_example.sh28 (echo "!!!!!!!!!!!!!!!!!!!"
29 echo "FAILURE: $3"
30 echo "!!!!!!!!!!!!!!!!!!!")
37 echo "!!!!!!!!!!!!!!!!!!!"
38 echo "FAILURE: Running partition '$running' does not match expected '$1'"
39 echo "!!!!!!!!!!!!!!!!!!!"
46 echo "Writing factory firmware to ota_0"
49 echo "Writing factory firmware to ota_1"
60 echo "Switching to factory app"
65 echo "Switching to OTA slot 0"
[all …]
/hal_espressif-3.5.0/make/
Dproject.mk25 @echo "Welcome to Espressif IDF build system. Some useful make targets:"
26 @echo ""
27 @echo "make menuconfig - Configure IDF project"
28 @echo "make defconfig - Set defaults for all new configuration options"
29 @echo ""
30 @echo "make all - Build app, bootloader, partition table"
31 @echo "make flash - Flash app, bootloader, partition table to a chip"
32 @echo "make clean - Remove all build output"
33 @echo "make size - Display the static memory footprint of the app"
34 @echo "make size-components, size-files - Finer-grained memory footprints"
[all …]
/hal_espressif-3.5.0/examples/storage/parttool/
Dparttool_example.sh29 (echo "!!!!!!!!!!!!!!!!!!!"
30 echo "FAILURE: $3"
31 echo "!!!!!!!!!!!!!!!!!!!")
36 echo "Checking if device app binary matches built binary"
43 echo "Found data partition at offset $offset with size $size"
49 echo "Writing to data partition"
53 echo "Reading data partition"
59 echo "Erasing data partition"
63 echo "Reading data partition"
/hal_espressif-3.5.0/components/esp_wifi/test_md5/
Dtest_md5.sh6 echo "IDF_PATH must be set before running this script"
11 echo "IDF_TARGET must be set before running this script"
29 echo "Invalid IDF_TARGET value: \"${IDF_TARGET}\""
57 echo "Checking ${FILENAME}:"
58 echo " ${MD5_FROM_HEADER} - from header file"
59 echo " ${MD5_FROM_LIB} - from library"
61 echo " error: MD5 mismatch!"
66 echo "Checking libraries for target ${IDF_TARGET}..."
/hal_espressif-3.5.0/components/esptool_py/
DMakefile.projbuild87 @echo "Skipping the BIN generation"
93 @echo "Flashing binaries to serial port '$(ESPPORT)' (app at offset $(APP_OFFSET))..."
95 …@echo "(Secure boot enabled, so bootloader not flashed automatically. See 'make bootloader' output…
100 @echo "The command is supported only in FLASH ENCRYPTION DEVELOPMENT MODE"
105 @echo "Flashing binaries to serial port '$(ESPPORT)' (app at offset $(APP_OFFSET))..."
107 …@echo "(Secure boot enabled, so bootloader not flashed automatically. See 'make bootloader' output…
112 @echo "Flashing app to serial port '$(ESPPORT)', offset $(APP_OFFSET)..."
118 @echo "Flashing encrypted app binary to serial port '$(ESPPORT)' (app at offset $(APP_OFFSET))..."
122 @echo "The command is supported only in FLASH ENCRYPTION DEVELOPMENT MODE"
131 @echo "Erasing entire flash..."
[all …]
/hal_espressif-3.5.0/components/esptool_py/esptool/flasher_stub/
DMakefile76 @echo " WRAP $^ -> $(BUILD_DIR)"
80 @echo " WRAP $^ -> $(BUILD_DIR)"
96 @echo " CC(8266) $^ -> $@"
100 @echo " CC(32) $^ -> $@"
104 @echo " CC(32S2) $^ -> $@"
108 @echo " CC(32S3) $^ -> $@"
112 @echo " CC(32S3) $^ -> $@"
116 @echo " CC(32C3) $^ -> $@"
120 @echo " CC(32C6BETA) $^ -> $@"
124 @echo " CC(32H2BETA1) $^ -> $@"
[all …]
/hal_espressif-3.5.0/components/bootloader_support/
DMakefile.projbuild2 @echo "Need to generate secure boot signing key."
3 @echo "One way is to run this command:"
4 @echo "$(ESPSECUREPY) generate_signing_key $@"
5 @echo "Keep key file safe after generating."
6 @echo "(See secure boot documentation for risks & alternatives.)"

12345678